MCP Gateway Provisioning V1

Operations related to MCP Gateway provisioning

List compatible node sizes for MCP Gateway

SecurityBasic Authentication
Responses
200

Successfully retrieved compatible node sizes for MCP Gateway.

get/cluster-management/v2/data-sources/applications/mcp-gateway/compatible-node-sizes/v1
Request samples
Response samples
application/json
[
  • {
    }
]

List all MCP Gateway versions

SecurityBasic Authentication
Responses
200

Successfully retrieved versions of MCP Gateway.

get/cluster-management/v2/data-sources/applications/mcp-gateway/versions/v1
Request samples
Response samples
application/json
[
  • {
    }
]

Trigger a MCP Gateway cluster restore.

SecurityBasic Authentication
Request
Request Body schema: application/json
required
Array of objects (ClusterDataCentreRestoreConfigV2)

An optional list of Cluster Data Centres to determine their VPC in the restored cluster.

Data centres not included will default to being restored to a new VPC.

pointInTime
string

Timestamp in milliseconds since epoch or ISO formatted date and time (example - 2023-11-05T13:15:30Z). All backed up data will be restored for this point in time.

Defaults to the current date and time.

restoredClusterName
string [ 3 .. 48 ] characters [a-zA-Z0-9][a-zA-Z0-9_-]*

The display name of the restored cluster.

By default, the restored cluster will be created with its current name appended with “restored” and the date & time it was requested to be restored.

clusterId
required
string <uuid>

ID of the cluster

Responses
202

Successfully requested MCP Gateway cluster restore.

post/cluster-management/v2/operations/applications/mcp-gateway/restore/v1
Request samples
application/json
{
  • "cdcConfigs": [
    ],
  • "clusterId": "c0e5e2ff-affe-444c-bdca-707c7b48aaad",
  • "pointInTime": 1420070400000,
  • "restoredClusterName": "my-restored-cluster"
}
Response samples
application/json
{
  • "cdcConfigs": [
    ],
  • "clusterId": "c0e5e2ff-affe-444c-bdca-707c7b48aaad",
  • "pointInTime": 1420070400000,
  • "restoredClusterId": "b8a32a20-d8e0-11a7-def4-sdc278a6a50b",
  • "restoredClusterName": "my-restored-cluster"
}

Create a MCP Gateway cluster.

SecurityBasic Authentication
Request
Request Body schema: application/json
required
required
Array of objects (McpGatewayDataCentreV1) = 1 items

List of data centre settings.

currentClusterOperationStatus
string (CurrentClusterOperationStatusV2)

Indicates if the cluster is currently performing any restructuring operation such as being created or resized

Enum: "NO_OPERATION" "OPERATION_IN_PROGRESS" "OPERATION_FAILED"
mcpGatewayVersion
required
string[0-9]+\.[0-9]+\.[0-9]+

Version of MCP Gateway to run on the cluster. Available versions:

  • 1.0.0

privateNetworkCluster
required
boolean

Creates the cluster with private network only, see Private Network Clusters.

name
required
string [ 3 .. 48 ] characters [a-zA-Z0-9][a-zA-Z0-9_-]*

Name of the cluster.

description
string

A description of the cluster

Array of objects (TwoFactorDeleteSettingsV2) <= 1 items
Array of objects (ResizeSettingsV2) <= 1 items

Settings to determine how resize requests will be performed for the cluster.

slaTier
required
string (SlaTierV2)

SLA Tier of the cluster. Non-production clusters may receive lower priority support and reduced SLAs. Production tier is not available when using Developer class nodes. See SLA Tier for more information.

Enum: "PRODUCTION" "NON_PRODUCTION"
Responses
202

MCP Gateway Cluster provisioning requested.

post/cluster-management/v2/resources/applications/mcp-gateway/clusters/v1
Request samples
application/json
{
  • "dataCentres": [
    ],
  • "mcpGatewayVersion": "[x.y.z]",
  • "name": "MyMCPGatewayCluster",
  • "privateNetworkCluster": false,
  • "slaTier": "NON_PRODUCTION"
}
Response samples
application/json
{
  • "dataCentres": [
    ],
  • "mcpGatewayVersion": "[x.y.z]",
  • "name": "MyMCPGatewayCluster",
  • "privateNetworkCluster": false,
  • "slaTier": "NON_PRODUCTION"
}

Get MCP Gateway cluster details

SecurityBasic Authentication
Request
path Parameters
clusterId
required
string <uuid>
Responses
200

MCP Gateway cluster details retrieved.

get/cluster-management/v2/resources/applications/mcp-gateway/clusters/v1/{clusterId}
Request samples
Response samples
application/json
{
  • "currentClusterOperationStatus": "OPERATION_IN_PROGRESS",
  • "dataCentres": [
    ],
  • "id": "4650aa98-e894-4675-9614-558915d5837a",
  • "mcpGatewayVersion": "[x.y.z]",
  • "name": "MyMCPGatewayCluster",
  • "privateNetworkCluster": false,
  • "slaTier": "NON_PRODUCTION",
  • "status": "RUNNING"
}

Update MCP Gateway Cluster Details

SecurityBasic Authentication
Request
path Parameters
clusterId
required
string <uuid>
Request Body schema: application/json
required
required
Array of objects (McpGatewayDataCentreV1) non-empty

List of data centre settings.

description
string

A description of the cluster

Array of objects (TwoFactorDeleteSettingsV2) <= 1 items
Array of objects (ResizeSettingsV2) <= 1 items

Settings to determine how resize requests will be performed for the cluster.

Responses
202

MCP Gateway cluster update request accepted.

404

MCP Gateway cluster not found.

put/cluster-management/v2/resources/applications/mcp-gateway/clusters/v1/{clusterId}
Request samples
application/json
{
  • "dataCentres": [
    ],
  • "description": "Cluster managed by the integration team.",
  • "twoFactorDelete": [
    ],
  • "resizeSettings": [
    ]
}
Response samples
application/json
{
  • "dataCentres": [
    ],
  • "mcpGatewayVersion": "[x.y.z]",
  • "name": "MyMCPGatewayCluster",
  • "privateNetworkCluster": false,
  • "slaTier": "NON_PRODUCTION"
}

Delete cluster

Delete an active cluster.

SecurityBasic Authentication
Request
path Parameters
clusterId
required
string <uuid>
Responses
204

Cluster delete requested.

delete/cluster-management/v2/resources/applications/mcp-gateway/clusters/v1/{clusterId}
Request samples